Page MenuHomePhabricator

copies-rust: move the mapping merging into a else clause
ClosedPublic

Authored by marmoute on Nov 27 2020, 11:12 AM.

Details

Summary

We are going to add more cases, to it is time to stop using early returns and to
move everything in a single if/elif/else block for clarity.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Nov 27 2020, 11:12 AM
marmoute updated this revision to Diff 23823.Nov 29 2020, 6:13 AM
marmoute updated this revision to Diff 23871.Nov 29 2020, 3:29 PM
marmoute commandeered this revision.
baymax updated this revision to Diff 24118.Dec 8 2020, 6:04 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 24131.Dec 8 2020, 9:58 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

pulkit accepted this revision.Dec 12 2020, 3:24 AM
This revision is now accepted and ready to land.Dec 12 2020, 3:24 AM
Alphare accepted this revision.Dec 14 2020, 4:39 AM
marmoute updated this revision to Diff 24212.Dec 14 2020, 6:16 AM
baymax updated this revision to Diff 24236.Dec 14 2020, 7:06 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)